Subject: Re: [PATCH] support cover letter before commit log, using "+++"

From: Martin Waitz <[email-masked]>
Date: Mon, 24 Jul 2006 09:04:38 +0200

hoi :)

On Sun, Jul 23, 2006 at 11:54:22PM -0700, Junio C Hamano wrote:
> Martin Waitz <[email-masked]> writes:
> 
> > We already have a "---" separator to end the commit log.
> > But writing the cover letter after this separator looks strange.
> > Now it is possible to put the cover letter and comments both before
> > or after the commit log, as the author sees fit.
> >
> > Just put the commit log between lines starting with "+++" and "---".
> >
> > Signed-off-by: Martin Waitz <[email-masked]>
> 
> I do not have problem with the implementation itself, but
> 
> * I always had an impression that cover letters are tolerated
>   not encouraged.  In other words, as a good practice it would
>   be nice if necessary information is described in the commit
>   log messages themselves.  Do we want to start encouraging the
>   cover letter with this patch?

that's right, but:

 * before using automatic tools to generate mails from patches people
   started their mails with "hello" or something similiar.
   As these lines are frowned upon in the changelog people just stop
   being polite.

 * I have often seen patches evolving in an email thread.
   With such an separator it is possible to keep the thread history
   in one part and a clean change message in another part.

I don't really know if this +++ thing will be used much. It's just
something that I thought might be missing and it was easy to do ;-)

> * Has anybody ever used that "+++" as an auxiliary separator?
>   In other words, is it an established convention?  If not,
>   would it be a good convention that we would want to establish
>   here?

I haven't seen the "+++" before here. People have used their own
"cut here" markers somethimes but I don't think their is an
established convention already.
The "+++" just felt good in combination with the "---" end marker.

-- 
Martin Waitz